EDIT - task #6005

Create subprojects of EDIT platform components
07/25/2016 10:14 AM - Andreas Kohlbecker

Status: Rejected Start date:

Priority: New Due date:

Assignee: Andreas Kohlbecker % Done: 0%
Category: devOps Estimated time: 0:00 hour
Target version:

Severity: normal

Description

The issues related to platform components which have their own git repository should be managed in a separate subproject.
This is beneficial since Subprojects have their own code repsitory. If all components are managed in the master project EDIT we
would have to distinguish the repos when referencing changesets.

The component dataportal already has been moved into a sub-project:

update issues i join issue_categories ic on ic.id = i.category_id and ic.name = 'dataportal'
set i.project_id = 2 where i.project_id = 1;

select * from issues 1 where i.project_id = 2

IMPORTANT Is seems as if the components are lost when moving the tickets to a subproject, this is not a problem in case of the
cmd-dataportal since the subprokect replaces the component, but for other issues this may be relevant and must be handled.

The following sub projects need to be created:

[ ]

cdm-dataportal DONE
cdmlib-app DONE
cdmlib

taxeditor

cdm-vaadin
cdm-sever

History

#1 - 07/25/2016 10:19 AM - Andreas Kohlbecker

- Subject changed from Create subprojects of EDIT f to Create subprojects of EDIT platform components

#2 - 08/02/2016 08:05 AM - Andreas Kohlbecker

- Description updated

supproject created for cdmlib-app, for now only with one issue.
We should check the 'components' given to the cdmlib-app issues. Do we need to preserver the components?

#3 - 10/25/2016 02:54 PM - Andreas Kohlbecker

- Status changed from New to Rejected

We have discussed the idea of using subprojects for the EDIT platform components and have decided against this.
Closing ticket as rejected.
